package com.perforce.polarion.element.field;

import java.util.ArrayList;
import java.util.List;

import org.apache.log4j.Logger;

import com.perforce.p4java.core.IJobSpec;
import com.perforce.p4java.exception.P4JavaException;
import com.perforce.p4java.server.IOptionsServer;

public class JobStatus {

	private static final Logger log = Logger.getLogger(JobStatus.class);

	private List<String> status = new ArrayList<String>();

	public JobStatus(IOptionsServer p4) {
		try {
			IJobSpec jobspec = p4.getJobSpec();
			List<String> list = jobspec.getFieldValues("Status");
			for (String state : list) {
				log.info("State: " + state);
				status.add(state);
			}

		} catch (P4JavaException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}

	public String check(String state) {
		if (status.contains(state)) {
			return state;
		}
		return "unknown";
	}
}
